<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{236,61,1101,480}</property>
    <property name="Name">[sx_cxa03ad.tel]</property>
    <property name="Caption">[Tesouraria: Retirada p/ Adiantamento/Vale]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-21" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">
{modus,aCbm_aut_por,osoSaysx_conta,osoSayCP_COD_FOR}    </property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[form3_.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
//skel VARIAVEL m_aut_por = space(20)
//skel VARIAVEL m_paraquem = space(20)
//skel VARIAVEL m_referencia = space(20)
//skel VARIAVEL m_cod_adiant = 0
//skel VARIAVEL m_cp_cod_for = val(xGetEnv("TESOUAD"))
//skel VARIAVEL wAutorizadoresDePagamento := hb_atokens( xGetEnv("TESOU_AUTORIZADORES"), ",")
//skel VARIAVEL wAutorizadoresDePagamento := if(len(wAutorizadoresDePagamento)=0, {sys_usuario}, wAutorizadoresDePagamento)
//skel VARIAVEL m_cp_tip_lqd = 1
//skel VARIAVEL m_sx_acesso = reccount()+1
//skel VARIAVEL m_tipo   = "Retirada"
//skel VARIAVEL m_grupo  = 3
//skel VARIAVEL m_fg_contab = " "
//skel VARIAVEL m_data  = s_datual
//skel VARIAVEL m_sx_conta = if( val(getenv("TESOURARIA")) =0, 999, val(getenv("TESOURARIA")) )
//skel VARIAVEL z_blktipo={||m_tipo:=left(m_tipo,1),.f.}
//skel VARIAVEL z_blkdesc={||m_desc:=if(empty(m_desc),pad('Adiant a '+alltrim(m_paraquem)+' ref '+alltrim(m_referencia),len(m_desc)),m_desc),RefreshGetList()}
//skel VARIAVEL z_divcompras = " "
//skel COMANDO ANTES z_nil=if(sele("CP_DIVIS")=0,abra_arq("CP_DIVIS"),"")
//skel COMANDO ANTES DbSelectArea("SX_CAIXA")
//skel comando depois Sx_caixa('GRAVE_ADIANTAMENTO_VALE')
//skel COMANDO SAIDA cp_divis->(DbCloseArea())
aCbm_aut_por := wAutorizadoresDePagamento
om_aut_por:aitems := aCbm_aut_por
om_aut_por:Requery() 
om_aut_por:lText := (ValType(m_aut_por)="C")
om_aut_por:SetValue( m_aut_por ) 
om_aut_por:Refresh() 

SET(5,1960) ]]>
  </method>
  <part class="editbox">
    <style>
      <property name="Geometry">{194,109,218,28}</property>
      <property name="Name">[om_paraquem]</property>
      <property name="varName">[m_paraquem]</property>
      <property name="font">
        <font name="" width="0" height="-21" weight="400"/>
      </property>
      <property name="nMaxLength">20</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{753,106,83,26}</property>
      <property name="Name">[oSaysx_ACESSO]</property>
      <property name="Caption">[Acesso:]</property>
      <property name="TextColor">16777215</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{194,147,218,28}</property>
      <property name="Name">[om_Referencia]</property>
      <property name="varName">[m_Referencia]</property>
      <property name="font">
        <font name="" width="0" height="-21" weight="400"/>
      </property>
      <property name="nMaxLength">20</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{753,144,83,26}</property>
      <property name="Name">[oSayTIPO]</property>
      <property name="Caption">[Tipo .:]</property>
      <property name="TextColor">16777215</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">3</property>
    </style>
  </part>
  <part class="combobox">
    <style>
      <property name="Geometry">{194,187,207,28}</property>
      <property name="Name">[om_aut_por]</property>
      <property name="varName">[m_aut_por]</property>
      <property name="ColumnWidth">238</property>
      <property name="Items">{}</property>
      <property name="DisplayCount">5</property>
      <property name="font">
        <font name="" width="0" height="-21" weight="400"/>
      </property>
      <property name="lEdit">.T.</property>
      <property name="FormatText">[UPPERCASE]</property>
      <property name="TabIndex">3</property>
    </style>
    <method name="onInteractiveChange">
      <![CDATA[Parameters value,om_aut_por
XmlChecaComboBox(value,om_aut_por,aCbm_aut_por) ]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{753,177,83,26}</property>
      <property name="Name">[oSayDATA]</property>
      <property name="Caption">[Data .:]</property>
      <property name="TextColor">16777215</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">4</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{284,232,57,28}</property>
      <property name="Name">[osx_conta]</property>
      <property name="varName">[m_sx_conta]</property>
      <property name="font">
        <font name="" width="0" height="-21" weight="400"/>
      </property>
      <property name="nMaxLength">3</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[CHK_LASTKEY(5).OR.PSQ_BROW('SX_CONTA','PSXCONTA','M_SX_CONTA','N','S',13,40,'CT_TITULO','@S18','',,osx_conta,osoSaysx_conta)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,109,198,30}</property>
      <property name="Name">[oSaym_paraquem]</property>
      <property name="Caption">[Adiantado Para.:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{360,232,16,16}</property>
      <property name="Name">[obosx_conta]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">5</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SX_CONTA','PSXCONTA','M_SX_CONTA','N','S',13,40,'CT_TITULO','@S18','','EXIBA',osx_conta,osoSaysx_conta)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,147,185,26}</property>
      <property name="Name">[oSaym_Referencia]</property>
      <property name="Caption">[Referente a Que:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{284,266,70,28}</property>
      <property name="Name">[oCP_COD_FOR]</property>
      <property name="varName">[m_CP_COD_FOR]</property>
      <property name="font">
        <font name="" width="0" height="-21" weight="400"/>
      </property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[CHK_LASTKEY(5).OR.PSQ_BROW('SX_CONTA','PSXCONTA','M_CP_COD_FOR','N','S',14,40,'CT_TITULO','@S18','',,oCP_COD_FOR,osoSayCP_COD_FOR)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,187,176,26}</property>
      <property name="Name">[oSaym_aut_por]</property>
      <property name="Caption">[Autorizado Por. :]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{360,266,16,16}</property>
      <property name="Name">[oboCP_COD_FOR]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">7</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SX_CONTA','PSXCONTA','M_CP_COD_FOR','N','S',14,40,'CT_TITULO','@S18','','EXIBA',oCP_COD_FOR,osoSayCP_COD_FOR)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,232,269,26}</property>
      <property name="Name">[oSaysx_conta]</property>
      <property name="Caption">[Adiantado pelo Caixa....:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">8</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{328,317,151,32}</property>
      <property name="Name">[oVALOR]</property>
      <property name="varName">[m_VALOR]</property>
      <property name="font">
        <font name="" width="0" height="-24" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="nMaxLength">11</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">8</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[m_valor>0]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,266,269,26}</property>
      <property name="Name">[oSayCP_COD_FOR]</property>
      <property name="Caption">[Conta Controle dos Vales:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">9</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{328,357,402,70}</property>
      <property name="Name">[oDESC]</property>
      <property name="varName">[m_DESC]</property>
      <property name="font">
        <font name="" width="0" height="-19" weight="400"/>
      </property>
      <property name="Multiline">.T.</property>
      <property name="nMaxLength">40</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">9</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[eval(z_blkdesc)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{19,317,294,31}</property>
      <property name="Name">[oSayVALOR]</property>
      <property name="Caption">[Valor do Adiantamento...:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">10</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{742,253,350,85}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="font">
        <font name="" width="0" height="-48" weight="400"/>
      </property>
      <property name="TabIndex">10</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{165,19,876,64}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Retirada - Vale ou Adiantamento]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial Black" width="0" height="-48" weight="900"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">10</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{382,232,243,26}</property>
      <property name="Name">[osoSaysx_conta]</property>
      <property name="Caption">[...]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="TabIndex">12</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{743,343,350,85}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="font">
        <font name="" width="0" height="-48" weight="400"/>
      </property>
      <property name="TabIndex">12</property>
      <property name="TabStop">.F.</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{382,266,244,26}</property>
      <property name="Name">[osoSayCP_COD_FOR]</property>
      <property name="Caption">[...]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{21,357,293,29}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Obs. Complementar........:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">15</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{836,106,73,28}</property>
      <property name="Name">[osx_ACESSO]</property>
      <property name="varName">[m_sx_ACESSO]</property>
      <property name="TextColor">16777215</property>
      <property name="BackColor">952491</property>
      <property name="nMaxLength">6</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">100</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{836,144,93,28}</property>
      <property name="Name">[oTIPO]</property>
      <property name="varName">[m_TIPO]</property>
      <property name="TextColor">16777215</property>
      <property name="BackColor">952491</property>
      <property name="nMaxLength">8</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">101</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="datepicker">
    <style>
      <property name="Geometry">{836,177,132,28}</property>
      <property name="Name">[oDATA]</property>
      <property name="varName">[m_DATA]</property>
      <property name="BackColor">952491</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">102</property>
    </style>
  </part>
</part>
